Subject: bug#71313: [PATCH] Allow insert other elisp keywords in auto-insert

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Jun 2024 14:40:23 +0300

> From: "Elijah G." <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 02 Jun 2024 21:14:34 -0600
> 
> >> From: "Elijah G." <[email-masked]>
> >> Date: Sat, 01 Jun 2024 18:17:42 -0600
> >> 
> >> this little patch allow insert any package keywords when using
> >> auto-insert for insert elisp header lines.
> >> 
> >> This is more a bugfix, since there is a bug when using Vertico that get
> >> stuck in the keywords part, that bug can also apply to other completion
> >> UIs or frameworks.
> >> 
> >> Also there are some packages that uses non-standard keywords, i think it
> >> would be better allowing insert other keywords.
> >
> > I'm not sure why it makes sense to allow keywords that are not in
> > finder-known-keywords.  Such a keyword will never be used by any
> > finder commands.
> 
> You are right, I think I've found a better way for this bugfix.
> Please see the new patch attached below, thanks.

Thanks, but how will an empty string "fix bugs from 3rd-party
completion UI"?  What am I missing here?